IdeaContentRoot (Gradle API 9.2.0)
Description: declaration: package: org.gradle.tooling.model.idea, interface: IdeaContentRoot

Package org.gradle.tooling.model.idea

# Interface IdeaContentRoot

public interface IdeaContentRoot
Contains content root information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<File>`
  `getExcludeDirectories()`
  The set of excluded directories.
  `DomainObjectSet<? extends IdeaSourceDirectory>`
  `getResourceDirectories()`
  The set of resource directories.
  `File`
  `getRootDirectory()`
  The content root directory.
  `DomainObjectSet<? extends IdeaSourceDirectory>`
  `getSourceDirectories()`
  The set of source directories.
  `DomainObjectSet<? extends IdeaSourceDirectory>`
  `getTestDirectories()`
  The set of test source directories.
  `DomainObjectSet<? extends IdeaSourceDirectory>`
  `getTestResourceDirectories()`
  The set of test resource directories.

- ## Method Details

  - ### getRootDirectory

    File getRootDirectory()
    The content root directory.

  - ### getSourceDirectories

    DomainObjectSet<? extends IdeaSourceDirectory> getSourceDirectories()
    The set of source directories.

  - ### getTestDirectories

    DomainObjectSet<? extends IdeaSourceDirectory> getTestDirectories()
    The set of test source directories.

  - ### getResourceDirectories

    DomainObjectSet<? extends IdeaSourceDirectory> getResourceDirectories() throws UnsupportedMethodException
    The set of resource directories. NOTE: The resources directory is only available for Java projects, otherwise it is empty set.
    Throws:
      `UnsupportedMethodException` - For Gradle versions older than 4.7 where this method is not supported.
    Since:
      4.7

  - ### getTestResourceDirectories

    DomainObjectSet<? extends IdeaSourceDirectory> getTestResourceDirectories() throws UnsupportedMethodException
    The set of test resource directories. NOTE: The test resources directory is only available for Java projects, otherwise it is empty set.
    Throws:
      `UnsupportedMethodException` - For Gradle versions older than 4.7 where this method is not supported.
    Since:
      4.7

  - ### getExcludeDirectories

    Set<File> getExcludeDirectories()
    The set of excluded directories.